Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Strategy Class Reference

Process-based strategy for creating endpoints. Abstract base class. More...

`#include <Endpoint_Strategy.h>`

Inheritance diagram for TAO_AV_Endpoint_Strategy

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Strategy (void)
| Constructor.
virtual | ~TAO_AV_Endpoint_Strategy (void)
| Destructor.
virtual int | create_A (AVStreams::StreamEndPoint_A_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev, CORBA::Environment &env)
| Called by the MMDevice, when it needs to create an A type endpoint.
virtual int | create_B (AVStreams::StreamEndPoint_B_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev, CORBA::Environment &env)
| Called by the MMDevice, when it needs to create an B type endpoint.
## Protected Attributes
AVStreams::StreamEndPoint_A_ptr | stream_endpoint_a_
| The "A" stream endpoint.
AVStreams::StreamEndPoint_B_ptr | stream_endpoint_b_
| The "B" stream endpoint.
AVStreams::VDev_ptr | vdev_
| The vdev.

## Detailed Description

Process-based strategy for creating endpoints. Abstract base class.

Base class to define various endpoint strategies used by the MMDevice to create the Endpoint and Vdev

## Constructor & Destructor Documentation

TAO_AV_Endpoint_Strategy::TAO_AV_Endpoint_Strategy ( | void )`[inline]`

| Constructor.

TAO_AV_Endpoint_Strategy::~TAO_AV_Endpoint_Strategy ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int TAO_AV_Endpoint_Strategy::create_A ( | AVStreams::StreamEndPoint_A_ptr & stream_endpoint,
| AVStreams::VDev_ptr & vdev,
| CORBA::Environment & env )`[virtual]`

| Called by the MMDevice, when it needs to create an A type endpoint. Reimplemented in TAO_AV_Endpoint_Process_Strategy_A, and TAO_AV_Endpoint_Reactive_Strategy_A.

int TAO_AV_Endpoint_Strategy::create_B ( | AVStreams::StreamEndPoint_B_ptr & stream_endpoint,
| AVStreams::VDev_ptr & vdev,
| CORBA::Environment & env )`[virtual]`

| Called by the MMDevice, when it needs to create an B type endpoint. Reimplemented in TAO_AV_Endpoint_Process_Strategy_B, and TAO_AV_Endpoint_Reactive_Strategy_B.

## Member Data Documentation

AVStreams::StreamEndPoint_A_ptr TAO_AV_Endpoint_Strategy::stream_endpoint_a_`[protected]`

| The "A" stream endpoint.

AVStreams::StreamEndPoint_B_ptr TAO_AV_Endpoint_Strategy::stream_endpoint_b_`[protected]`

| The "B" stream endpoint.

AVStreams::VDev_ptr TAO_AV_Endpoint_Strategy::vdev_`[protected]`

| The vdev.

The documentation for this class was generated from the following files:

- Endpoint_Strategy.h
- Endpoint_Strategy.cpp